Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class TaggedProfile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.TaggedProfile

    public final class TaggedProfile

extends PdfProfile

PDF profile checker for Tagged PDF documents. See section 9.7, "Tagged PDF", of the PDF Reference, Version 1.4, for an explanation of tagged PDF.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`TaggedProfile(PdfModule module)` Constructor.

Method Summary
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectOK, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedProfile

    public TaggedProfile(PdfModule module)

  Constructor. Creates a TaggedProfile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile. We check only the dictionaries, not the stream contents.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD